petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscFERegister

Adds a new PetscFE implementation

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFERegister(const char sname[], PetscErrorCode (*function)(PetscFE))

Not Collective

### Input Parameters

| name | - The name of a new user-defined creation routine
| create_func | - The creation routine itself

### Notes

PetscFERegister() may be called multiple times to add several user-defined PetscFEs

### Sample usage

        PetscFERegister("my_fe", MyPetscFECreate);

Then, your PetscFE type can be chosen with the procedural interface via

        PetscFECreate(MPI_Comm, PetscFE *);
        PetscFESetType(PetscFE, "my_fe");

or at runtime via the option

        -petscfe_type my_fe

### Keywords

PetscFE, register

### See Also

PetscFERegisterAll(), PetscFERegisterDestroy()

Level:advanced
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages